class AddOrderPaymentSelectAccountResponse {
  List<AccountList>? accountList;
  String? error;
  String? message;

  AddOrderPaymentSelectAccountResponse(
      {this.accountList, this.error, this.message});

  AddOrderPaymentSelectAccountResponse.fromJson(Map<String, dynamic> json) {
    if (json['account_list'] != null) {
      accountList = <AccountList>[];
      json['account_list'].forEach((v) {
        accountList!.add(new AccountList.fromJson(v));
      });
    }
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.accountList != null) {
      data['account_list'] = this.accountList!.map((v) => v.toJson()).toList();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    return data;
  }
}

class AccountList {
  String? id;
  String? text;

  AccountList({this.id, this.text});

  AccountList.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    text = json['text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['text'] = this.text;
    return data;
  }
}
